#include "RebalanceData.h"



// 생성자
CRebalanceData::CRebalanceData()
{
	// 멤버 변수 초기화
	m_uOriginContentLength = 0;
	m_uMoveContentLength = 0;

	m_uMoveResult = MOVE_OK;		// Move 처리 결과는 최초에는 정상 상태로 설정 처리

	m_uDeleteFailCount = 0;
	m_timeLastDeleteFail = 0;

}

CRebalanceData::~CRebalanceData()
{

}


std::string CRebalanceData::GetQueryURI()
{
	// URI의 '(작은따옴표) 문자가 있을 경우 SQL 오류 방지를 위하여 관련 문자를 다르게 변경함
	std::string szUri = ReplaceString( m_szURI, "'", "''" );

	return szUri;
}

/////////////////////////////////////////////

std::string CRebalanceData::ReplaceString( const std::string & source, const std::string search, const std::string replacement )
{
	std::string r = source;

	std::string::size_type pos = 0;

	while( (pos = r.find( search, pos )) != std::string::npos )
	{
		r.replace( pos, search.size(), replacement );
		pos = pos + replacement.size();
	}

	return r;
}

